package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.ExamDetailCourse;

/**
 * <p>
 * 考务数据（考场关联科目） 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamDetailCourseService extends IService<ExamDetailCourse> {

    /**
     * 根据考务场次id查询卷袋数
     * @param examDetailId 考务数据场次id
     * @return 该场次下卷代数
     */
    double calculatePackagesByDetailId(Long examDetailId);
}
